org.apache.ignite.streamer.index

## Enum StreamerIndexPolicy

- java.lang.Object
- - java.lang.Enum<StreamerIndexPolicy>
  - - org.apache.ignite.streamer.index.StreamerIndexPolicy

All Implemented Interfaces:
  Serializable, Comparable<StreamerIndexPolicy>

    public enum StreamerIndexPolicy
    extends Enum<StreamerIndexPolicy>

Streamer index policy, which defines how events are tracked within an index.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EVENT_TRACKING_OFF` Do not track events.
`EVENT_TRACKING_ON` Track events.
`EVENT_TRACKING_ON_DEDUP` Track events with de-duplication.

### Method Summary

Methods
`static StreamerIndexPolicy` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StreamerIndexPolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EVENT_TRACKING_OFF

    public static final StreamerIndexPolicy EVENT_TRACKING_OFF

Do not track events.

Only a value, generated by `StreamerIndexUpdater`, will be stored in an index; event objects will be thrown away.

#### EVENT_TRACKING_ON

    public static final StreamerIndexPolicy EVENT_TRACKING_ON

Track events.

All event objects will stored in an index along with the values, generated by `StreamerIndexUpdater`.

#### EVENT_TRACKING_ON_DEDUP

    public static final StreamerIndexPolicy EVENT_TRACKING_ON_DEDUP

Track events with de-duplication.

All event objects will stored in an index along with the values, generated by `StreamerIndexUpdater`. For duplicate (equal) events, only a single event object will be stored, which corresponds to a first event.

### Method Detail

#### values

    public static StreamerIndexPolicy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StreamerIndexPolicy c : StreamerIndexPolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StreamerIndexPolicy valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015